import { ValidDate } from '../valid-date';
/**
 * Type guard for ValidDate
 */
export declare function isValidDate(d: Date | null): d is ValidDate;
/**
 * Converts to the `ValidDate`, creating new instance of Date
 * @deprecated consider use of `isValidDate`
 */
export declare function fromDate(date: Date | number | undefined): ValidDate | null;
/**
 * Converts to the `ValidDate`, creating new instance of Date
 * @throws Will throw TypeError if input not a valid Date or timestamp
 * @deprecated Consider use of `isValidDate`
 */
export declare function fromDateOrThrow(date: Date | number | undefined): ValidDate;
export declare function asValidDateOrNull(date: Date): ValidDate | null;
/**
 * Create the `ValidDate`
 * In case of failure returns `null`
 */
export declare function newValidDate(): ValidDate;
export declare function newValidDate(value: number): ValidDate | null;
export declare function newValidDate(value: string): ValidDate | null;
export declare function newValidDate(year: number, month: number, date?: number, hours?: number, minutes?: number, seconds?: number, ms?: number): ValidDate | null;
/**
 * Create the `ValidDate`
 * In case of failure returns `null`
 */
export declare function newValidDateOrThrow(): ValidDate;
export declare function newValidDateOrThrow(value: number): ValidDate;
export declare function newValidDateOrThrow(value: string): ValidDate;
export declare function newValidDateOrThrow(year: number, month: number, date?: number, hours?: number, minutes?: number, seconds?: number, ms?: number): ValidDate;
