import { ValidDate } from '../valid-date';
export declare const enum MS {
    Milliseconds = 1,
    Seconds = 1000,
    Minutes = 60000,
    Hours = 3600000,
    Date = 86400000
}
export declare const enum Month {
    Jan = 0,
    Feb = 1,
    Mar = 2,
    Apr = 3,
    May = 4,
    Jun = 5,
    Jul = 6,
    Aug = 7,
    Sep = 8,
    Oct = 9,
    Nov = 10,
    Dec = 11
}
export type DiffUnitFn<T> = number | (T extends ValidDate ? number : null);
export type FormatFn<T> = string | (T extends ValidDate ? string : null);
export interface FormatByTemplateFn {
    <T extends ValidDate | Date | null>(d: T, template: string): FormatFn<T>;
}
export interface ParseByTemplateFn {
    (dateStr: string, template: string): ValidDate | null;
}
export interface ParseByTemplateOrThrowFn {
    (dateStr: string, template: string): ValidDate;
}
export type Formatter = (date: ValidDate, index?: number, tokens?: (string | Formatter)[]) => string | number;
export type FormatterObj = Readonly<Record<string, Formatter>>;
export type Parser = (date: Date, value: string) => void;
export type ParserData = [string, Parser];
export type ParserObj = Readonly<Record<string, ParserData>>;
